// PPU33Dlg.h : header file
//

#if !defined(AFX_PPU33DLG_H__8E8FCD53_6450_4233_B552_B681675A5377__INCLUDED_)
#define AFX_PPU33DLG_H__8E8FCD53_6450_4233_B552_B681675A5377__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPPU33Dlg dialog

class CPPU33Dlg : public CDialog
{
// Construction
public:
	BYTE	m_nOutput;
	BYTE	m_nInput;

	HANDLE	hPort;


	CPPU33Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPPU33Dlg)
	enum { IDD = IDD_PPU33_DIALOG };
	CButton		m_btnInput[3];
	CButton		m_btnOutput[3];
	int			m_nPort;
	CString		m_strError;
	CButton		m_btnTest;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPPU33Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPPU33Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCheckOutput0();
	afx_msg void OnCheckOutput1();
	afx_msg void OnCheckOutput2();
	afx_msg void OnButtonTest();
	virtual void OnOK();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PPU33DLG_H__8E8FCD53_6450_4233_B552_B681675A5377__INCLUDED_)
